QGIS Application - Bug report #21124
QGIS crashes on Fedora 29 Plasma desktop
2019-01-29 08:49 PM - Davor Racic

Status: Rejected

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.4.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corruptsdata: Copied to github as #: 28942
Description

I'm using QGIS 3.4.4 on Fedora 29 (Plasma desktop) and having crashes when saving any change in QGIS settings. Similar crashes

appear at other places, but this one appears always. | don't have any idea what could be the causee (OS, Plasma, QGIS or copr repo

package), but decided to send crash error report in attachment. Maybe it can be of some use to developers. Or maybe someone could
give me some suggestion about where to forward bug report...

Best regards
Davor

History

#1 - 2019-01-30 11:22 AM - Giovanni Manghi
- Priority changed from Normal to High
- Status changed from Open to Feedback

Try with a new/clean profile.

#2 - 2019-02-03 12:01 AM - Davor Racic

| did. So | have been turning on plugins one by one and found out that dzetsaka classification plugin is the first one that cause this error. As | can see, there

is no processing provider setting for it. Also this issue happens when | install any of the plugins that have options in processing, but cannot see any

processing provider setting - Networx, TlugProcessing etc... When | turn of the plugin everything is ok.

#3 - 2019-02-11 12:18 AM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Feedback to Rejected

In that case this bug needs to be reported on the plugin's page - it can't be fixed in qgis itself.

Files

qgis-20190129-203310.kcrash.ixt 18.8 KB 2019-01-29 Davor Racic
